aboutsummaryrefslogtreecommitdiff
path: root/src/cmd/make.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2009-06-04 11:16:03 -0700
committerRuss Cox <rsc@golang.org>2009-06-04 11:16:03 -0700
commit3a0df4c451b1db1eb8ab178d4cd2522496bc892d (patch)
tree93ccc52d7ec8faec7c4604dee258e7bbc7d8165e /src/cmd/make.bash
parentf51ca384eba74692315b51b1db99d412f4472e17 (diff)
downloadgo-3a0df4c451b1db1eb8ab178d4cd2522496bc892d.tar.xz
more 386 runtime fixes.
can pass many tests; current stumbling block is an 8l bug. R=r DELTA=122 (83 added, 8 deleted, 31 changed) OCL=29872 CL=29876
Diffstat (limited to 'src/cmd/make.bash')
-rw-r--r--src/cmd/make.bash13
1 files changed, 11 insertions, 2 deletions
diff --git a/src/cmd/make.bash b/src/cmd/make.bash
index 08cffbb9b0..f406e358af 100644
--- a/src/cmd/make.bash
+++ b/src/cmd/make.bash
@@ -7,12 +7,21 @@ set -e
bash clean.bash
-cd 6l
+case "$GOARCH" in
+386) O=8;;
+amd64) O=6;;
+arm) O=5;;
+*)
+ echo 'unknown $GOARCH' 1>&2
+ exit 1
+esac
+
+cd ${O}l
bash mkenam
make enam.o
cd ..
-for i in cc 6l 6a 6c gc 6g ar db nm acid cov godefs prof gotest
+for i in cc ${O}l ${O}a ${O}c gc ${O}g ar db nm acid cov godefs prof gotest
do
echo; echo; echo %%%% making $i %%%%; echo
cd $i